RabbitMQ安装要求:当前的服务器系统环境是否符合要求

ken_wong
  • 177

本人工作主要是前端开发,兼顾后端(PHP),外加服务器运维(不算很深入)

目前公司逐渐开发新的系统平台,想配置一个MQ服务来支撑(或者在原来的架构基础上做解耦)各个系统平台(目前2-3个)的数据交互

再加上对RabbitMQ不太熟悉(没有开发经验,看过官方的文档),想在服务器上配置一个RabbitMQ服务,不知道这样的系统环境(目测配置较低)能否很好地支撑RabbitMQ运行

$ free -m
              total        used        free      shared  buff/cache   available
Mem:            990         493          85          15         411         337
Swap:          3967         304        3663

当前服务器已运行(或已安装)的服务:

  • Nginx(nginx version: nginx/1.16.1)
  • Node(目前没有服务在跑)
  • PHP应用
  • MySQL(Server version: 10.5.10-MariaDB MariaDB Server)
  • Java (暂时没服务在运行,java version "17.0.1" 2021-10-19 LTS)
回复
阅读 679
1 个回答
✓ 已被采纳

内存太小了。。

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏